Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-osenv
Version:        0.1.3
Release:        alt1_7
Summary:        Look up environment settings specific to different operating systems

License:        BSD
URL:            https://github.com/isaacs/osenv
Source0:        https://registry.npmjs.org/osenv/-/osenv-%{version}.tgz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(tap)
BuildRequires:  npm(os-homedir)
BuildRequires:  npm(os-tmpdir)
Source44: import.info

%description
Look up environment settings specific to different operating systems.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/osenv
cp -pr package.json osenv.js %{buildroot}%{nodejs_sitelib}/osenv
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%tap test/*.js


%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/osenv


%changelog
* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.3-alt1_7
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.3-alt1_6
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.3-alt1_5
- initial import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.3-alt1_3
- initial import

